import React from 'react';
export declare type Point = {
    color: string;
    data: string | Record<string, any>;
};
declare type Props<T> = {
    items: T[];
    renderItem: (idx: number, item: T) => React.ReactNode;
};
declare const BulletList: <T extends Point>({ items, renderItem }: Props<T>) => JSX.Element;
export default BulletList;
