import React, { FC } from 'react';
import { Property as CSSProperty } from 'csstype';
import { Variant } from './types';
declare type Props = {
    id: string;
    type?: Variant;
    onChange?: (e: React.ChangeEvent<HTMLInputElement> | React.KeyboardEvent<HTMLDivElement>) => void;
    display?: CSSProperty.Display;
    checked?: boolean;
    disabled?: boolean;
};
export declare const Checkbox: FC<Props>;
export default Checkbox;
