import { RefObject } from 'react';
declare type Props = {
    colors: string[];
    colorSuggestions: string[];
    onColorsChange: (colors: string[]) => void;
    initialPickerColor?: string;
    maxNumberOfColors?: number;
    scrollableParentRef?: RefObject<HTMLDivElement>;
};
declare const ColorPalette: ({ colors: palette, onColorsChange, colorSuggestions, initialPickerColor, maxNumberOfColors, scrollableParentRef, }: Props) => JSX.Element;
export default ColorPalette;
