import { RefObject } from 'react';
declare type Props = {
    color: string;
    isDragged: boolean;
    onDelete: (color: string) => void;
    activeColorPicker: string;
    toggleColorPicker: (color: string) => void;
    onColorChange: (color: string) => void;
    colorSuggestions: string[];
    scrollableParentRef?: RefObject<HTMLDivElement>;
};
declare const Color: ({ color, isDragged, onDelete, toggleColorPicker, activeColorPicker, onColorChange, colorSuggestions, scrollableParentRef, }: Props) => JSX.Element;
export default Color;
