import React, { FC } from 'react';
import { DropableContainerVariant } from './types';
declare type Props = {
    isActive: boolean;
    children?: React.ReactNode;
    onClick?: (e: React.MouseEvent<HTMLDivElement> | React.KeyboardEvent<Element>) => void;
    onDefocus?: (e: MouseEvent) => void;
    variant?: DropableContainerVariant;
    searchable?: boolean;
    dropIndicator?: boolean;
    value?: string | Record<string, any>;
    placeholder?: string | (() => JSX.Element);
    searchPlaceholder?: string;
    onSearch?: (e: React.ChangeEvent<HTMLInputElement>) => void;
    hasError?: boolean;
    borderRadius?: string;
};
declare const DropableContainer: FC<Props>;
export default DropableContainer;
