import React from 'react';
interface ListElement {
    label: string;
    value: any;
}
declare type Props<T> = {
    items: T[];
    debounce?: number;
    onClick: (e: React.MouseEvent<HTMLLIElement>, item: T) => void;
    setActiveItem?: (item: T, idx: number) => boolean;
    renderItem?: (item: T, isActive: boolean) => JSX.Element;
    padding?: string;
};
declare const DropdownList: React.ForwardRefExoticComponent<Props<ListElement> & React.RefAttributes<HTMLLIElement>>;
export default DropdownList;
