import React from 'react';
import { MotionProps } from 'framer-motion';
declare type Props = {
    isOpen: boolean;
    children: React.ReactNode;
    fullWidth?: boolean;
    motion?: MotionProps;
    positionRelativeToDocument?: boolean;
};
export declare const Dropdown: React.ForwardRefExoticComponent<Props & React.RefAttributes<HTMLDivElement>>;
export default Dropdown;
