import { FC } from 'react';
declare const DefaultLabels: {
    searchLabel: string;
    searchInputPlaceholder: string;
    clearFilters: string;
    noFiltersFound: string;
};
declare type Props = {
    filters: string[];
    specialFilters?: string[];
    activeFilters: string[];
    onUpdateFilters: (tags: string[]) => void;
    onClearFilters: () => void;
    isOpen: boolean;
    setOpen: (isOpen: boolean) => void;
    labels?: typeof DefaultLabels;
};
declare const Filters: FC<Props>;
export default Filters;
