import React from 'react';
import { InputVariant } from './types';
export declare type Props = {
    hasError?: boolean;
    variant?: InputVariant;
    borderRadius?: string;
    renderPrefix?: () => JSX.Element;
    renderSuffix?: () => JSX.Element;
} & React.InputHTMLAttributes<HTMLInputElement>;
export declare const Input: React.ForwardRefExoticComponent<{
    hasError?: boolean;
    variant?: InputVariant;
    borderRadius?: string;
    renderPrefix?: () => JSX.Element;
    renderSuffix?: () => JSX.Element;
} & React.InputHTMLAttributes<HTMLInputElement> & React.RefAttributes<HTMLInputElement>>;
export default Input;
