import React, { FC } from 'react';
import { ClosableIndicator } from './types';
declare type Props = {
    isOpen: boolean;
    children: (setClosable: ClosableIndicator, closeHandler: () => void) => React.ReactNode;
    onClose?: () => void;
    useMask?: boolean;
    isMaskTransparent?: boolean;
    blockScrollOnOpen?: boolean;
    adjustPositionToScroll?: boolean;
    closeOnFadeMaskClick?: boolean;
};
export declare const Modal: FC<Props>;
export default Modal;
