export declare const properties: {
    user: {
        user_agent: string[];
        ip_address: string[];
        id: string[];
        geo_info: {
            province: string[];
            postal_code: string[];
            country_code: string[];
            country: string[];
            coordinates: string[];
            continent: string[];
            city: string[];
        };
        device_info: {
            os: {
                patch_minor: string[];
                patch: string[];
                minor: string[];
                major: string[];
                family: string[];
            };
            device: {
                family: string[];
            };
            browser: {
                patch: string[];
                minor: string[];
                major: string[];
                family: string[];
            };
        };
    };
    page: {
        url: string[];
        protocol: string[];
        path: string[];
        domain: string[];
    };
    keen: {
        timestamp: string[];
        id: string[];
        created_at: string[];
    };
    ad: {
        campaign_id: string[];
        advertiser: string[];
    };
};
