import React, { FC } from 'react';
import { ActionMeta } from 'react-select';
import { SelectVariant } from './types';
export declare type Props = {
    options: Record<string, any>[];
    placeholder: string;
    value: any;
    onChange: (value: any, meta: ActionMeta<any>) => void;
    onBlur?: (e: React.FocusEvent<HTMLElement>) => void;
    hasError?: boolean;
    variant?: SelectVariant;
    name?: string;
    inputId?: string;
};
export declare const Select: FC<Props>;
export default Select;
