import { SelectVariant } from './types';
export declare const Indicator: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const createStyles: (variant: SelectVariant, hasError: boolean) => {
    noOptionsMessage: (provided: Record<string, any>) => {
        fontFamily: string;
    };
    option: (provided: Record<string, any>) => {
        fontSize: string;
        fontFamily: string;
    };
    singleValue: (provided: Record<string, any>) => {
        fontSize: string;
        padding: string;
        fontFamily: string;
    };
    placeholder: (provided: Record<string, any>) => {
        fontSize: string;
        padding: string;
        color: string;
        fontFamily: string;
    };
    input: (provided: Record<string, any>) => {
        margin: string;
        fontFamily: string;
    };
    control: (provided: Record<string, any>, { isFocused, }: {
        isFocused: boolean;
    }) => {
        minHeight: string;
        borderRadius: string;
        boxShadow: string;
        border: string;
        background: string;
    };
};
