import React, { FC } from 'react';
import { SortByType, SortMode } from '../../types';
import { CellTextAlignment } from './types';
declare type Props = {
    backgroundColor: string;
    propertyName: string;
    children: React.ReactNode;
    sortOptions?: SortByType;
    textAlignment: CellTextAlignment;
    onSort?: (sortMeta: {
        propertyName: string;
        sortMode: SortMode;
    }) => void;
};
declare const TableHeader: FC<Props>;
export default TableHeader;
