import React, { FC } from 'react';
import { CellValue, TableRowData } from './types';
import { Typography } from '../../types';
declare type Props = {
    data?: Record<string, TableRowData>;
    backgroundColor: string;
    typography: Typography;
    activeColumn?: number;
    enableEditMode?: boolean;
    onCellClick: (e: React.MouseEvent<HTMLTableCellElement>, columnName: string, value: CellValue, idx: number) => void;
    onCellMouseEnter?: (e: React.MouseEvent<HTMLTableCellElement>, idx: number) => void;
    onCellMouseLeave?: (e: React.MouseEvent<HTMLTableCellElement>, idx: number) => void;
};
declare const TableRow: FC<Props>;
export default TableRow;
