import { FC, RefObject } from 'react';
import { AvailableSettings, FontSettings } from './types';
declare type Props = {
    settings: FontSettings;
    onChange: (settings: FontSettings) => void;
    colorSuggestions?: string[];
    fontSizeSuggestions?: number[];
    scrollableContainerRef?: RefObject<HTMLDivElement>;
    availableSettings?: AvailableSettings;
};
declare const TypographySettings: FC<Props>;
export default TypographySettings;
