import { TextVariant, Typography } from './types';
export declare const textVariants: Record<TextVariant, Partial<Typography>>;
export declare const theme: {
    font: {
        GangsterGrotesk: string;
        Lato: string;
    };
};
export declare const solidButtonVariants: {
    prop: string;
    variants: {
        primary: {
            backgroundColor: string;
            borderColor: string;
            color: string;
            '&:focus': {
                boxShadow: string;
            };
            '&:hover': {
                color: string;
                backgroundColor: string;
            };
        };
        secondary: {
            backgroundColor: string;
            borderColor: string;
            color: string;
            boxShadow: string;
            '&:hover': {
                boxShadow: string;
                backgroundColor: string;
            };
        };
        danger: {
            backgroundColor: string;
            borderColor: string;
            color: string;
            boxShadow: string;
            '&:hover': {
                boxShadow: string;
                backgroundColor: string;
            };
        };
        success: {
            backgroundColor: string;
            borderColor: string;
            color: string;
            boxShadow: string;
            '&:hover': {
                boxShadow: string;
                backgroundColor: string;
            };
        };
        blank: {
            backgroundColor: string;
            color: string;
            boxShadow: string;
            '&:hover': {
                boxShadow: string;
                backgroundColor: string;
            };
        };
    };
};
