import React, { FC } from 'react';
import { ButtonSize, ButtonType } from './types';
import { ButtonVariant } from '../../types';
declare type Props = {
    children: React.ReactNode;
    variant?: ButtonVariant;
    size?: ButtonSize;
    style?: ButtonType;
    isDisabled?: boolean;
    isActive?: boolean;
    href?: string;
    target?: string;
    htmlType?: 'button' | 'submit' | 'reset';
    onClick?: (e: React.SyntheticEvent) => void;
    icon?: JSX.Element;
    fullWidth?: boolean;
};
export declare const Button: FC<Props>;
export default Button;
