import React from 'react';
import { TooltipMode } from '../tooltip';
import { TooltipPinPlacements } from './types';
export declare const TOOLTIP_MOTION: {
    transition: {
        duration: number;
    };
    initial: {
        opacity: number;
    };
    animate: {
        opacity: number;
    };
    exit: {
        opacity: number;
    };
};
declare type Props = {
    children: React.ReactNode;
    isActive: boolean;
    tooltipPortal?: string;
    tooltipTheme?: TooltipMode;
    renderContent: () => React.ReactNode;
    tooltipPinPlacement?: TooltipPinPlacements;
    onHideTooltip?: () => void;
    maxContentWidth?: number;
};
declare const MousePositionedTooltip: ({ children, isActive, tooltipPortal, tooltipTheme, tooltipPinPlacement, renderContent, onHideTooltip, maxContentWidth, }: Props) => JSX.Element;
export default MousePositionedTooltip;
