export declare type OAuthConfig = {
    googleOAuth: {
        label: string;
        url: string;
        clientId: string;
        redirectUri: string;
        scope: string;
    };
    gitHubOAuth: {
        label: string;
        url: string;
        scope: string;
        clientId: string;
    };
};
export declare enum OAuthUserAction {
    REGISTER = "signup",
    LOGIN = "login",
    ACCEPT_INVITE = "invite"
}
export declare type OAuthState = {
    action: OAuthUserAction;
    requestInitiatorUrl: string;
};
