import { FixedSizeNodeData } from 'react-vtree';
export declare type DataNode = Readonly<{
    children: Record<string, any>;
    id: string;
    name: string;
}>;
export declare type StackElement = Readonly<{
    deepnessLevel: number;
    node: DataNode;
}>;
export declare type TreeData = FixedSizeNodeData & Readonly<{
    isLeaf: boolean;
    name: string;
    deepnessLevel: number;
    schemaMeta: any;
}>;
