import React, { FC } from 'react';
import { MotionStyle, PanInfo } from 'framer-motion';
import { DragConstraints } from '../types';
declare type Props = {
    dragDirection: 'x' | 'y';
    dragConstraints: DragConstraints;
    children: React.ReactNode;
    onDrag: (e: MouseEvent | TouchEvent | PointerEvent, info: PanInfo) => void;
    onDragStart?: (e: MouseEvent | TouchEvent | PointerEvent) => void;
    onDragEnd?: (e: MouseEvent | TouchEvent | PointerEvent) => void;
    controlStyles?: MotionStyle;
};
export declare const Control: FC<Props>;
export default Control;
