import React, { FC } from 'react';
import { ControlSettings, TooltipSettings, RailSettings, Interval } from './types';
declare type Props = {
    intervals: Interval[];
    onChange?: (value: number) => void;
    controlSettings?: ControlSettings;
    tooltipSettings?: TooltipSettings & {
        renderText?: (value: number) => React.ReactNode;
    };
    railSettings?: RailSettings;
    colors: string[];
    initialValue?: number;
};
export declare const IntervalSlider: FC<Props>;
export default IntervalSlider;
