import { FC } from 'react';
import { Formatter } from '@keen.io/charts-utils';
import { ControlSettings, TooltipSettings, RailSettings } from './types';
import { Layout } from '../../types';
declare type Props = {
    minimum: number;
    maximum: number;
    colors: string[];
    onChange?: (minimum: number, maximum: number) => void;
    layout?: Layout;
    controlSettings?: ControlSettings;
    tooltipSettings?: TooltipSettings & {
        formatValue?: Formatter;
    };
    railSettings?: RailSettings;
    colorSteps?: number;
};
export declare const RangeSlider: FC<Props>;
export default RangeSlider;
