import { SliderActions } from './types';
declare type SliderState = {
    value: number | [number, number];
    dimension?: number;
    dragControls: Record<string, {
        active: boolean;
        moving: boolean;
        position: number;
    }>;
};
export declare const initialState: SliderState;
export declare const sliderReducer: (state: SliderState, action: SliderActions) => SliderState;
export {};
