import React, { FC } from 'react';
import { Position } from '../../types';
export declare const tooltipMotion: {
    transition: {
        duration: number;
    };
    animate: {
        opacity: number;
    };
    initial: {
        opacity: number;
    };
    exit: {
        opacity: number;
    };
};
declare type Props = {
    children: React.ReactNode;
    containerSize: number;
    x: number;
    y: number;
    visible: boolean;
    position: Position;
};
declare const TooltipPosition: FC<Props>;
export default TooltipPosition;
