import React, { FC } from 'react';
import { CellValue, CellTextAlignment } from './types';
import { Typography } from '../../types';
declare type Props = {
    typography: Typography;
    value: CellValue;
    index: number;
    textAlignment?: CellTextAlignment;
    disableBorder: boolean;
    onClick: (e: React.MouseEvent<HTMLTableCellElement>, value: CellValue, idx: number) => void;
    onMouseEnter?: (e: React.MouseEvent<HTMLTableCellElement>, idx: number) => void;
    onMouseLeave?: (e: React.MouseEvent<HTMLTableCellElement>, idx: number) => void;
};
declare const TableCell: FC<Props>;
export default TableCell;
