import { FC } from 'react';
declare type Props = {
    tags: string[];
    validator: (tagValue: string) => boolean;
    onCreate: (value: string) => void;
    onRemove: (value: string, index: number) => void;
    onError?: () => void;
    placeholder?: string;
    hasError?: boolean;
    blinkTime?: number;
};
export declare const TagManager: FC<Props>;
export default TagManager;
