import { IconType } from '@keen.io/icons';
export declare type FontStyles = {
    name: 'bold' | 'italic' | 'underline';
    icon: IconType;
};
export declare type TextAlignment = 'left' | 'center' | 'right';
export declare type FontSettings = {
    color?: string;
    size?: number;
    bold?: boolean;
    italic?: boolean;
    underline?: boolean;
    alignment?: TextAlignment;
};
export declare type AvailableSettings = {
    color?: boolean;
    fontSize?: boolean;
    bold?: boolean;
    italic?: boolean;
    underline?: boolean;
    alignment?: boolean;
};
